PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- aesthetics

# aesthetics

`pydl.pydlspec2d.spec2d.``aesthetics`(flux, invvar, method='traditional')

  Add nice values to a spectrum where it is masked.

  Parameters:

  flux : `numpy.ndarray`

  > The spectrum to clean up.

  invvar : `numpy.ndarray`

  > Inverse variance of the spectrum.

  method : { ‘traditional’, ‘noconst’, ‘mean’, ‘damp’, ‘nothing’ }, optional

  > Apply this method to clean up the spectrum. Default is ‘traditional’.

  Returns:

  `numpy.ndarray`

  > A cleaned-up spectrum.